var categoria = window.location.search.substr(1);
categoria = decodeURIComponent(categoria);


	function obtenerEscenario(id) {
		var ret = "";
		switch(id) {
		case "1":
			ret = "Principal";
			break;
		case "2":
			ret = "Hipatia";
			break;
		case "3":
			ret = "Pitagoras";
			break;
		case "4":
			ret = "Arquimedes";
			break;
		case "5":
			ret = "Miguel Angel";
			break;
		case "6":
			ret = "Gutemberg";
			break;
		case "7":
			ret = "Galileo";
			break;
		case "8":
			ret = "Stadium";
			break;
		}
		return ret;
	}

	function obtenerColor(id){
		var colorClass = "";
		switch(id){
		case "1":
			colorClass = "marino";
			break;
		case "2":
			colorClass = "cielo";
			break;
		case "3":
			colorClass = "rosa";
			break;
		case "4":
			colorClass = "naranja";
			break;
		case "5":
			colorClass = "verde";
			break;
		case "6":
			colorClass = "gris";
			break;
		case "7":
			colorClass = "lima";
			break;
		case "8":
			colorClass = "rojo";
			break;
		}
		return colorClass;
	}


var xhr = new window.XMLHttpRequest({mozSystem: true});
xhr.open("GET", "http://campus.artefactoestudio.com/campusparty/index.php?/campus/GetMobileCalendar", true);

xhr.onreadystatechange = function() {
	if (xhr.readyState == 4)
	{
		if (xhr.status == 200)
		{
			var ponencias = xhr.responseText.split("\|");

			ponencias.forEach(function(entrada){
				var datos = entrada.split("\~");

				if (datos[9] == categoria)
				{
					escenario = datos[2];
					fechai = datos[4];
					fechat = datos[5];
					intervalo = datos[6];
					foto = datos[10];
					id = datos[13];
					temamini = datos[14];


					var vli = document.createElement("li");
					var vaside = document.createElement("aside");
					var vimg = document.createElement("img");
					var va2 = document.createElement("a");
					var vp1 = document.createElement("p");
					var vp2 = document.createElement("p");

					var mesi = parseInt(fechai.substring(0, 2)); 
					var diai = parseInt(fechai.substring(3, 5)); 
					var anoi = parseInt(fechai.substring(6, 10));
					var horai = parseInt(fechai.substring(11, 13));
					var minutoi = parseInt(fechai.substring(14, 16));
					var segundoi = parseInt(fechai.substring(17, 19));

					var mesf = parseInt(fechat.substring(0, 2)); 
					var diaf = parseInt(fechat.substring(3, 5)); 
					var anof = parseInt(fechat.substring(6, 10)); 
					var horaf = parseInt(fechat.substring(11, 13)); 
					var minutof = parseInt(fechat.substring(14, 16)); 
					var segundof = parseInt(fechat.substring(17, 19));

					var da = new Date();
					var di = new Date(anoi, mesi - 1 , diai, horai, minutoi, segundoi, 0);
					var df = new Date(anof, mesf - 1 , diaf, horaf, minutof, segundof, 0);

					var minsParaComenzar = di - da;
					minsParaComenzar = parseInt((minsParaComenzar/1000)/60);

					var minsParaTerminar = df - da;
					minsParaTerminar = parseInt((minsParaTerminar/1000)/60);

					vimg.setAttribute("src", "http://campus.artefactoestudio.com/campusparty/upload/" + foto);
					vli.setAttribute("class", obtenerColor(escenario));
					vaside.setAttribute("class","pack-end");
					va2.setAttribute("href", "detalles.html?" + id);
					vp1.innerHTML = temamini;
					vp2.innerHTML = intervalo + "  <b>" + obtenerEscenario(escenario) + "</b>";

					vaside.appendChild(vimg);
					va2.appendChild(vp1);
					va2.appendChild(vp2);
					vli.appendChild(vaside);
					vli.appendChild(va2);

					document.querySelector("#ponencias").appendChild(vli);
				}
			});
			
			var vli = document.createElement("li");
			document.querySelector("#ponencias").appendChild(vli);
		}
	}
}

xhr.send();